SDL_GetSurfacePalette(3)

NAME
SDL_GetSurfacePalette - Get the palette used by a surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

SDL_Palette * SDL_GetSurfacePalette(SDL_Surface *surface);

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to query.

RETURN VALUE
Returns a pointer to the palette used by the surface, or NULL if there is no palette used.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetSurfacePalette(3)